Grand Master Bitz:
To become a Human Knight, your level must be at least 20, and you must pass the Test of the Human Knight. But as I told you, you cannot become a Human Knight here. You must first go out into the world and improve your skills.
Therefore, you must go to Gludio to become a Human Knight. There is a ship bound for the village of Gludin departing from the port southwest of the village. Sail to the village of Gludin. When you arrive there, either Grand Master Ramos or Grand Master Rains can change your profession to Human Knight after testing your qualifications. You can find Grand Master Rains in the town of Gludio, which is to the east of the village of Gludin. They will tell you everything you need to know in detail about the Test of the Human Knight.
Return